- Home
- Resources
- Attachment admin API
HDC WS for converting attachment files
GET /admin/attachment
Returns original files for given state
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| limit |
query |
- raster file entries limit per request |
|
long |
| offset |
query |
- offset of raster file entries |
|
long |
| state |
query |
- file state |
|
|
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
- list of files |
GET /admin/attachment/convertondemand
Converts one file with given id.
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| fileId |
query |
- file identifier |
|
long |
| versionId |
query |
|
|
long |
Response Body
| media type |
data type |
description |
| application/json |
array of HdcFileModelTO
(JSON) |
- long running process description |
POST /admin/attachment/convertondemand
Try it out!
Request Body
| media type |
data type |
| application/json |
array of HdcFileId
(JSON) |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
GET /admin/attachment/convert/{state}
Converts all files with given state.
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| state |
path |
- file state. Recommended states for this operation: UPLOADED, UNCONVERTIBLE, IN_QUEUE, CONVERTING |
|
|
Response Body
| media type |
data type |
description |
| application/json |
HdcLazyTilingStateTO
(JSON) |
- long running process description |